# getFilenameFromUri

#### getFilenameFromUri(uri) → String
Core/getFilenameFromUri.js 22

Given a URI, returns the last segment of the URI, removing any path or query information.

Name | Type | Description
--- | --- | ---
`uri` | String | The Uri.

##### Returns:

The last segment of the Uri.

##### Example:

    //fileName will be"simple.czml";
    var fileName = Cesium.getFilenameFromUri('/Gallery/simple.czml?value=true&example=false');